Atlassian Government Cloud

Access the Atlassian Government Cloud API in 2 minutes 💨

Create an integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Atlassian Government Cloud. Tenklo doesn't provide a test OAuth app for Atlassian Government Cloud yet. You’ll need to set up your own by following these instructions. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Tenklo.

Authorize Atlassian Government Cloud

Go to Connections -> Add Test Connection -> Authorize, then log in to Atlassian Government Cloud. Later, you'll let your users do the same directly from your app.

Call the Atlassian Government Cloud API

Let's make your first request to the Atlassian Government Cloud API (fetch a list of issues from Jira). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/ex/jira/{connectionConfig.cloudId}/rest/api/3/search?maxResults=10" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials dynamically via the Node SDK or API.

The {connectionConfig.cloudId} in the URL represents the cloudId. You can get this value from your connection configuration after creating the connection. The cloudId is automatically set by Tenklo.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Next step: Embed the auth flow in your app to let your users connect their Atlassian Government Cloud accounts.

Questions? Join us in the Slack community.

On this page